make DCMTK applications aware/enabled for DCMTK_GUI flag
2000-03-03 00:00 - Marco Eichelberg

Status: Rejected Start date:

Priority: Low Due date:

Assignee: % Done: 0%
Category: Estimated time: 0:00 hour

Target version:

Module: all Compiler:

Operating System:

Description

If DCMTK is compiled with the new DCMTK_GUI flag, the applications
will run very quietly and might run out of memory because they

never flush/print the string streams to which COUT, CERR and CLOG
are redirected.

The applications should be modified to either periodically flush

the streams to stdout/stderr, or they should upon startup make sure
that COUT, CERR and CLOG point to the standard streams.

Furthermore, a number of directories have not yet been adapted
to the DCMTK_GUI scheme: * wlistctn/apps * imagectn/apps * dcmnet/apps

History

#1 - 2025-08-29 17:53 - Marco Eichelberg
- Description updated

- Status changed from New to Rejected

It makes no sense to implement this feature in the DCMTK command line tools, this needs to be done in real GUI applications that use DCMTK in the
background.
